Bug 25021 - RFE: consistency check and man page updates.
Summary: RFE: consistency check and man page updates.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-26 07:06 UTC by Henri Schlereth
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-26 07:06:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Henri Schlereth 2001-01-26 07:06:04 UTC
Per Glen I am referencing bug #24668 as initial background.

1. The man pages do not state that a umount -a will set /dev/root to ro (documentation issue)
If the points below arent fixed the man pages should at least provide something like the following.

umount -a will change /dev/root to read-only and mtab cannot be updated. A mount -a
can only be executed properly if you first do a mount -n -o remount rw /. Failure to do so
may cause some system instablity that may appear to require a re-boot. Following the 
above procedure of remounting /dev/root will avoid this. Additionally /dev/pts will
show erratic behavior such as respawing and locking up VT's on logout.

2. The mount -a command does not undo what umount -a does (consistency issue)
3. The umount -a will not set /root/dev to ro if you have customized partiton setups (eg / /boot or / /home)
( consistency issue).
4. Even the rc.sysinit specifically uses mount -n -o remount ro / instead of umount -a.


Based on the source code this is a "feature". However it is not well documented and doesnt work
consistently. The inconsistencies should be addressed by this release or future releases.

Comment 1 Bernhard Rosenkraenzer 2001-01-30 23:01:26 UTC
Fixed the man page. Changing the inconsistencies is up to the
base package maintainer, but unless we want to introduce another
file (/etc/stuff-remounted-by-umount-a), I don't see how this can
be done without breaking other things.

Comment 2 Henri Schlereth 2001-02-01 18:29:57 UTC
So does that mean you are going to contact the maintainer/developer or do I?


Note You need to log in before you can comment on or make changes to this bug.